Name:           foobillard
Version:        3.0a
Release:        6

Summary:        OpenGL billard game

Group:          Amusements/Games
License:        GPL
URL:            http://foobillard.sunsite.dk/
Source0:        http://foobillard.sunsite.dk/dnl/foobillard-3.0a.tar.gz
Source1:        foobillard.desktop
Patch0:         foobillard-3.0a-nonv.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  SDL-devel ImageMagick alsa-lib-devel
BuildRequires:  freetype-devel libpng-devel perl zlib-devel
BuildRequires:  libGL-devel libGLU-devel libX11-devel libXaw-devel libXi-devel

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux.
FooBillard is still under development but the main physics is implemented.


%prep
%setup -q -n foobillard-3.0a
%patch0 -p1

%build
%configure --disable-nvidia CFLAGS="${RPM_OPT_FLAGS}"
make %{?_smp_mflags}
convert -resize 48 data/foobillard.png foobillard.png


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -pm 644 %{_sourcedir}/foobillard.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/fedora-foobillard.desktop
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -pm 644 foobillard.6 $RPM_BUILD_ROOT%{_mandir}/man6
install -D -p -m 644 foobillard.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/foobillard.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO README.FONTS
%doc foobillardrc.example
%{_bindir}/foobillard
%{_datadir}/applications/fedora-foobillard.desktop
%{_datadir}/foobillard
%{_datadir}/pixmaps/foobillard.png
%{_mandir}/man6/*


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0a-6
- Autorebuild for GCC 4.3

* Wed Sep 13 2006 Miloslav Trmac <mitr@redhat.com> - 3.0a-5
- Rebuild for Fedora Extras 6

* Mon Feb 20 2006 Miloslav Trmac <mitr@volny.cz> - 3.0a-4
- Rebuild for Fedora Extras 5

* Tue Jan 31 2006 Miloslav Trmac <mitr@volny.cz> - 3.0a-3
- Update BuildRequires for modular X

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb 14 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:3.0-a.1
- Added BuildRequires: xorg-x11-devel libGL.so.1 libGLU.so.1

* Mon Jul  5 2004 Miloslav Trmac <mitr@volny.cz> - 0:3.0-0.fdr.2.a
- Add missing BuildRequires: alsa-lib-devel libGLU

* Thu Apr 29 2004 Miloslav Trmac <mitr@volny.cz> 0:3.0-0.fdr.1.a
- Update to foobillard-3.0a

* Tue Jan  6 2004 Miloslav Trmac <mitr@volny.cz> 0:2.9-0.fdr.1
- Update to foobillard-2.9

* Mon Oct  6 2003 Warren Togami <warren@togami.com> 0:2.8-0.fdr.3
- Ville's spec patch #713

* Sat Oct  4 2003 Miloslav Trmac <mitr@volny.cz> 0:2.8-0.fdr.2
- Use $RPM_OPT_FLAGS
- Use 'fedora' as desktop file vendor
- Preserve timestamps of the desktop file and the man page

* Sat Sep 13 2003 Miloslav Trmac <mitr@volny.cz> 0:2.8-0.fdr.1
- Initial Fedora package
